
Foreman - Support #10936

unable to provision new discovered host

06/25/2015 05:02 PM - tony zheng

Status: Resolved   

Priority: Normal   

Assignee:    

Category: Unattended installations   

Target version:    

Triaged:  Found in Releases: 1.8.2

Fixed in Releases:    

Description

it says

Warning!

Failed to replace interfaces because one or more of the new records could not be saved.

full trace:

ActiveRecord::RecordNotSaved

Failed to replace interfaces because one or more of the new records could not be saved.

app/models/host/base.rb:282:in `becomes'

app/models/host.rb:15:in `method_missing'

app/controllers/concerns/application_shared.rb:13:in `set_timezone'

app/models/concerns/foreman/thread_session.rb:32:in `clear_thread'

lib/middleware/catch_json_parse_errors.rb:9:in `call'

History

#1 - 06/26/2015 02:43 AM - Marek Hulán

Could you add more info please? I don't see the error that you've mentioned anywhere in foreman-debug log, where did you find the trace? According

to the message, it seems that something is wrong with networking, like discovered interfaces are invalid in Foreman.

#2 - 06/26/2015 09:16 AM - tony zheng

i get this error message when i highlight the newly discovered host and then click provision.

the discover was successful so i dont know how could the network will have problem.

thx

#3 - 06/26/2015 09:24 AM - tony zheng

by the way the clients have network interface names as enp7s0f0, enp7s0f1, enp14s0f0 and enp14s0f1, not using typical network naming such as

eth1 and eth2. just so you know. i dont know if that might be the problem.

thx

#4 - 06/26/2015 10:42 AM - tony zheng

- File node2.debug.out added

- File fdi.debug.out added

my bad. i just realized i run discovery-debug on the foreman server instead of the clients. here are debug output from clients.  thanks,

#5 - 06/29/2015 09:03 AM - Lukas Zapletal

I discovered a host using the facts provided and it worked just fine with 1.8/3.0 discovery. The error message is weird, I cannot find it in Foreman

code base. When do you see it? Does it block provisioning?

#6 - 06/29/2015 10:35 AM - tony zheng

i now just find see that it has a invalid network interface there because i had an ip address change. i tried to delete that interface and it is not letting

me. i tried to delete the whole proxy server and re-create and it wont let me either. i even tried to delete the whole organization all together so i can

recreate it wont let me either.  can you provide me a proper procedure on how to do any of that? or even to delete the whole foreman database so i

can start from begining will work too.

thanks,
#7 - 07/15/2015 05:43 AM - Lukas Zapletal

Another user hit this.

Can you guys describe properly how did you get there? I cannot reproduce on my systems. At what stage do you see this error?

#8 - 07/20/2015 03:48 PM - larry campbell

Lukas Zapletal wrote:

Another user hit this.

Can you guys describe properly how did you get there? I cannot reproduce on my systems. At what stage do you see this error?

 I am seeing this same issue as well.  This is occurring on a "discovered" machine (Dell PowerEdge R320) using discovery image 2.1 and Foreman

1.8.2/discovery 3.0.0.

#9 - 07/20/2015 03:53 PM - larry campbell

larry campbell wrote:

I am seeing this same issue as well.  This is occurring on a "discovered" machine (Dell PowerEdge R320) using discovery image 2.1 and

Foreman 1.8.2/discovery 3.0.0.

 One thing to point out, if I just "Add Host" and tie the mac address into the interface, the machine deploys successfully.  It seems there's some issue

with the Facts that discovery is sending to Foreman that get lost / broken when the "provision" button is hit.

#10 - 07/20/2015 04:53 PM - tony zheng

i got my issue resolved already.  my problem was that the proxy server (also foreman server itself) was in a dual-home, so i have to edit the interface

entries under the foreman host itself before it can provision other machines.

thanks for getting back to me anyway ;)

#11 - 07/20/2015 05:09 PM - larry campbell

Can you elaborate on the changes you made?  It might help me fix my problem (and identify where the "glitch" is)

tony zheng wrote:

i got my issue resolved already.  my problem was that the proxy server (also foreman server itself) was in a dual-home, so i have to edit the

interface entries under the foreman host itself before it can provision other machines.

#12 - 07/21/2015 08:15 AM - tony zheng

is your foreman server (or the proxy server) dual homed? if yes, you might want to check under host properties for the NICs to make sure they have

proper ip addresses assigned and correct primary and provisional interface set.

#13 - 08/10/2016 07:18 PM - Anonymous

- Status changed from New to Resolved

Seems to be fixed.

Files

foreman-debug-7BOJB.tar.xz 2.81 MB 06/25/2015 tony zheng

node2.debug.out 79.3 KB 06/26/2015 tony zheng

fdi.debug.out 79.8 KB 06/26/2015 tony zheng
